1. Payments
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
    • Employee
      • Retrieve an Employee
      • Retrieve all Employees
      • Retrieve all Employees (V1.1)
      • Create an Employee
      • Upsert Employees in Bulk
      • Update an Employee by Personal ID
      • Update an Employee by Payflow ID
      • Update an Employee by Payroll ID
    • Leaves
      • Retrieve all Employees on Leave
      • Create an Employee Leave
      • Remove an Employee Leave
    • Payments
      • Retrieve a Payment
        GET
      • Retrieve all Payments
        GET
      • Retrieve Employee Payments
        GET
      • Calculate Employee Available Amount
        GET
      • Request a Payment
        POST
      • Subscribe to Payment Updates
        POST
      • Mark Payments as Informed
        PUT
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Payments

Retrieve all Payments

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
GET
https://api-public.payflow.es
/payments
Retrieves all EWA payments requested by company employees during a specific period or payment cycle.
If both startDate/endDate and cycle are provided, cycle takes precedence.
If no status query parameter is provided, the endpoint returns payments with processing and processed statuses by default.
The Status Filter
The status query parameter supports filtering by one or multiple statuses. To filter by multiple statuses, send the parameter multiple times.
Example: ?status=error&status=processed

Convoluted response format#

If the convoluted query parameter is set to true, the endpoint returns an aggregated response grouped by employee instead of individual payments.
Each aggregated record includes:
Total requested amount for the period
First and last payment request timestamps
First and last payment processing timestamps
All related payment IDs
Deprecated Fields
The informedToIntegration field is deprecated. Since all Payflow integrations have been migrated to V2, this field is always false for newer systems.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Query Params

Responses

🟢200Standard Format
application/json
Bodyapplication/json

🟢200Convoluted Format
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-public.payflow.es/payments?start=&end=&cycle=&convoluted=&status=' \
--header 'authorization: <api-key>'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": "aAa0AaAaAa",
            "user": "12345678A",
            "userPayrollId": "Emp01",
            "amount": 50,
            "fee": 0,
            "status": "processed",
            "paid": true,
            "requestedAt": "2025-06-01T09:00:00.000Z",
            "paidAt": "2025-06-01T09:01:00.000Z",
            "message": null,
            "informedToIntegration": false
        },
        {
            "id": "A01aaAaaAA",
            "user": "12345678A",
            "userPayrollId": "Emp01",
            "amount": 100,
            "fee": 0,
            "status": "processed",
            "paid": true,
            "requestedAt": "2025-06-02T00:00:00.000Z",
            "paidAt": "2025-06-02T00:01:00.000Z",
            "message": null,
            "informedToIntegration": false
        },
        {
            "id": "aaA0aaaA0a",
            "user": "12345678B",
            "userPayrollId": "Emp02",
            "amount": 120,
            "fee": 0,
            "status": "processed",
            "paid": true,
            "requestedAt": "2025-06-04T00:01:01.000Z",
            "paidAt": "2025-06-04T00:02:00.000Z",
            "message": null,
            "informedToIntegration": false
        }
    ]
}
Modified at 2026-05-14 18:31:28
Previous
Retrieve a Payment
Next
Retrieve Employee Payments
Built with